%define upstream_name       CPANPLUS-Dist-Build
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Constants for CPANPLUS::Dist::Build
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

# This is a plug-in for CPANPLUS, specify reverse dependency here

# Tests:

# ExtUtils::Installed version from ExtUtils::Install in META

BuildRequires: perl(CPANPLUS) >= 0.840.0
BuildRequires: perl(ExtUtils::Install) >= 1.420.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Cmd) >= 0.420.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Build) >= 0.320.0
BuildRequires: perl(Module::Load) >= 0.160.0
BuildRequires: perl(Module::Load::Conditional) >= 0.300.0
BuildRequires: perl(Params::Check) >= 0.260.0
BuildRequires: perl(Test::Harness) >= 3.160.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(if)
BuildRequires: perl-devel
# Pod::Coverage::TrustPod not used

# Test::Pod 1.41 not used
# Test::Pod::Coverage 1.08 not used
# versionning the corresponding virtual package is not enough

BuildArch:  noarch

%description
'CPANPLUS::Dist::Build' is a distribution class for 'Module::Build' related
modules. Using this package, you can create, install and uninstall perl
modules. It inherits from 'CPANPLUS::Dist'.

Normal users won't have to worry about the interface to this module, as it
functions transparently as a plug-in to 'CPANPLUS' and will just 'Do The
Right Thing' when it's loaded.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/CPANPLUS

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.900.0-3.mga8
+ Revision: 1503496
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.900.0-2.mga7
+ Revision: 1281878
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.900.0-1.mga7
+ Revision: 1238896
- update to 0.90
+ tv <tv>
- add missing BRs for testsuite

* Sat Jul 22 2017 shlomif <shlomif> 0.880.0-1.mga7
+ Revision: 1128447
- update to 0.88

* Sat Jun 18 2016 pterjan <pterjan> 0.780.0-5.mga6
+ Revision: 1024488
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.780.0-4.mga6
+ Revision: 939598
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.780.0-3.mga5
+ Revision: 747838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.780.0-2.mga5
+ Revision: 683700
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 sander85 <sander85> 0.780.0-1.mga5
+ Revision: 635705
- update to 0.78

* Sun Feb 09 2014 sander85 <sander85> 0.760.0-1.mga5
+ Revision: 587451
- update to 0.76

* Sat Oct 19 2013 umeabot <umeabot> 0.740.0-2.mga4
+ Revision: 531642
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 sander85 <sander85> 0.740.0-1.mga4
+ Revision: 464330
- update to 0.74

* Mon Jul 22 2013 sander85 <sander85> 0.720.0-1.mga4
+ Revision: 457119
- update to 0.72

* Mon Jun 03 2013 jquelin <jquelin> 0.700.0-1.mga4
+ Revision: 436391
- update to 0.70

* Wed Mar 27 2013 jquelin <jquelin> 0.680.0-3.mga3
+ Revision: 405465
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.680.0-2.mga3
+ Revision: 363707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.680.0-1.mga3
+ Revision: 341862
- update to 0.68

* Wed Nov 07 2012 jquelin <jquelin> 0.640.0-2.mga3
+ Revision: 315494
- perl 5.16.2 rebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.640.0-1.mga3
+ Revision: 308913
- update to 0.64

* Wed Feb 22 2012 kharec <kharec> 0.620.0-1.mga2
+ Revision: 211968
- update to 0.62

* Wed Nov 09 2011 jquelin <jquelin> 0.600.0-1.mga2
+ Revision: 165757
- do not ship MYMETA
- update to 0.60

* Wed Sep 14 2011 takashi <takashi> 0.580.0-1.mga2
+ Revision: 143259
- update to 0.58

* Wed Jun 15 2011 jquelin <jquelin> 0.560.0-1.mga2
+ Revision: 106498
- update to 0.56

* Wed Mar 02 2011 jquelin <jquelin> 0.540.0-1.mga1
+ Revision: 62514
- update to 0.54

* Fri Feb 18 2011 jquelin <jquelin> 0.520.0-1.mga1
+ Revision: 53716
- update to 0.52

* Wed Jan 26 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 41006
- mageia rebuild
- imported package perl-CPANPLUS-Dist-Build

